Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.gui
Enum QImageWriter.ImageWriterError

    java.lang.Object
      java.lang.Enum<QImageWriter.ImageWriterError>
          com.trolltech.qt.gui.QImageWriter.ImageWriterError

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QImageWriter.ImageWriterError>

Enclosing class:
  QImageWriter

    public static enum QImageWriter.ImageWriterError

extends java.lang.Enum<QImageWriter.ImageWriterError>
implements QtEnumerator

This enum describes errors that can occur when writing images with `QImageWriter`.

Enum Constant Summary
`DeviceError` `QImageWriter` encountered a device error when writing the image data.
`UnknownError` An unknown error occurred.
`UnsupportedFormatError` Qt does not support the requested image format.

Method Summary
`static QImageWriter.ImageWriterError` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QImageWriter.ImageWriterError` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QImageWriter.ImageWriterError[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### UnknownError

    public static final QImageWriter.ImageWriterError UnknownError

  An unknown error occurred. If you get this value after calling `write`, it is most likely caused by a bug in `QImageWriter`.

### DeviceError

    public static final QImageWriter.ImageWriterError DeviceError

  `QImageWriter` encountered a device error when writing the image data. Consult your device for more details on what went wrong.

### UnsupportedFormatError

    public static final QImageWriter.ImageWriterError UnsupportedFormatError

  Qt does not support the requested image format.

Method Detail

### values

    public static final QImageWriter.ImageWriterError[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QImageWriter.ImageWriterError c : QImageWriter.ImageWriterError.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QImageWriter.ImageWriterError valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QImageWriter.ImageWriterError resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD